# Uses of Enum Class
org.apache.sysds.hops.codegen.cplan.CNodeNary.NaryType

Packages that use CNodeNary.NaryType
Package
Description
org.apache.sysds.hops.codegen.cplan

## Uses of CNodeNary.NaryType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return CNodeNary.NaryType
Modifier and Type
Method
Description
`CNodeNary.NaryType`
CNodeNary.`getType()`
`static CNodeNary.NaryType`
CNodeNary.NaryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CNodeNary.NaryType[]`
CNodeNary.NaryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeNary.NaryType
Modifier
Constructor
Description
``
`CNodeNary(CNode[] inputs, CNodeNary.NaryType type)`